/// <reference types="node" />
import { Observable } from 'rxjs';
import * as stream from 'stream';
export declare type Streamable = string | Buffer;
export interface ReadableObservableStreamOptions extends stream.ReadableOptions {
    /**
     * Determines when to subscribe to the observable.
     * true - delay the subscription until the first read
     * false - subscribe immediately and buffer any data until the first read.
     * @default true
     */
    lazy?: boolean;
}
export interface ObjectReadableOptions extends ReadableObservableStreamOptions {
    objectMode: true;
}
/**
 * Transform the output of an Observable into a node readable stream.
 */
export declare function rxToStream<T>(src: Observable<T>, options: ObjectReadableOptions, onError?: (error: Error, readable: stream.Readable) => void): stream.Readable;
export declare function rxToStream<T extends Streamable>(src: Observable<T>, options?: ReadableObservableStreamOptions, onError?: (error: Error, readable: stream.Readable) => void): stream.Readable;
